/* Start default options */
/* 
 ** Tot ce apare dupa madia query este aplicat pentru desktop / mobil
 ** Tot ceea ce este in exterior este pentru lucrurii globale sau device-uri care nu 
    nu au width-ul corespunzator.

*/
* {
  font-family: "Raleway", sans-serif;
  font-size: 0.85rem;
  letter-spacing: none;
  font-weight: 500;
  box-sizing: border-box;
}

:root {
  --box-shadow-color: rgb(209, 203, 203);
  --hover-border-color: rgb(209, 209, 175);
  --hover-middle-circle: rgb(255, 174, 0);
  --box-shadow-for-img: 0px 0px 1px 1px rgb(209, 203, 203);
  --color-title-box: rgb(218, 218, 218);

  --button-background: dodgerblue;
  --button-color: white;

  --dropdown-highlight: dodgerblue;
  --dropdown-width: 100%;
  --dropdown-background: white;
  --dropdown-color: black;
}

.wrong-msg {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateX(-50%);
  /* transform: translateY(-50%); */
  display: flex;
  justify-content: center;
  align-items: center;
}

.wrong-msg > strong > h1 {
  text-align: center;
  color: #b8b8b8;
}

.wrong-msg h3 {
  text-align: center;
  word-wrap: break-word;
}

.favoriteImageLoader {
  width: 30px !important;
  height: 30px !important;
  position: absolute !important;
  top: 30% !important;
  left: 30% !important;
}

/* .wrong-msg button {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
} */
.loader {
  z-index: 4;
  border: 2px solid #005a34;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: flex;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

.b2b{
  background-color: rgba(0, 0, 0, 0);
  border: none;
  outline: none;
  border-radius: 5px;
}

#mainPageLoading {
  position: absolute !important;
  top: 50%;
  left: 50%;
  transform: translateX(-50%);
  transform: translateY(-50%);
  height: 50px;
  width: 50px;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#slider {
  z-index: 3;
  position: absolute;
  left: 50%;
}

#slider > * {
  position: fixed;
}

.position-logo {
  position: absolute;
  top: 4%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 6;
}

.centering-logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

#root {
  display: none;
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.show-or-hide-fabric {
  display: none;
}

#columns {
  display: flex;
}

#centerColumn {
  margin-top: 1%;
  flex-grow: 7;
}

[id$="Wrapper"]::-webkit-scrollbar {
  display: none;
}

#rightOptions > *,
#leftButtons > * {
  color: #2d2d2d !important;
}

#rightColumn {
  position: fixed;
  flex-grow: 2;
  display: flex;
  margin-right: 2%;
  flex-direction: column;
  z-index: 8;
}

#exit-from-full-screen {
  display: none;
  position: absolute;
  right: 2%;
  top: 2%;
  z-index: 1001 !important;
  /* z-index 1001 appear before zoomContainer 'he has 999 zindex' */
}

#exit-from-full-screen > button {
  background-color: white;
  border-radius: 5px;
  border: none;
  outline: none;
  width: 30px;
  height: 30px;
  box-shadow: var(--box-shadow-for-img);
}

/*
Gasit 
#fabricWrapper {
  height: 5%; 
} */

.favoriteBtns {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
}

.style-columns {
  background-color: white;
  border-radius: 10px;
  box-shadow: 0px 0px 7px 1px var(--box-shadow-color);
}

.tool-cont {
  margin-top: 5%;
  margin-bottom: 5%;
}

.button-tool {
  font-size: 10px;
  width: 49%;
  float: left;
  padding: 5px;
  margin-left: 1%;
  text-align: center;
}

#leftColumn {
  position: fixed;
  margin-left: 2%;
  flex-grow: 1;
  z-index: 8;
}

/* #rightoptions {
  height: 300px;
} */
.scroll-btn-up,
.scroll-btn-down {
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  font-size: 20px;
  margin: 0;
  border-radius: 0;
  z-index: 11;
  outline: none;
  border: none;
}

.scroll-btn-down {
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  box-shadow: 0px 2px 3px 1px var(--box-shadow-color);
}

.scroll-btn-up {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  box-shadow: 0px -2px 3px 1px var(--box-shadow-color);
}

.scroll-btn-up,
.scroll-btn-down i {
  text-align: center;
}

.scroll-btn-down,
.scroll-btn-up i {
  text-align: center;
}

.pop-full-mode {
  display: none;
  z-index: 220 !important;
  position: absolute;
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  height: 80px;
  width: 33%;
  text-align: center;
  overflow-wrap: break-word;
  background-color: rgb(255, 255, 255);
  margin: 10px;
  border-radius: 10px;
  box-shadow: var(--box-shadow-for-img);
}

.zoomContainer {
  z-index: 219 !important;
}

.zoomWindow {
  border: none !important;
  border-radius: 10px;
}

.pop-full-mode > h3::before {
  content: "To exit from full-screen mode, you can press ESC button.";
}

/* 
.images[name="1"] {
  max-width: 100%;
  width: 100%;
} */
#toggleRightColumnButton,
#toggleLeftColumnButton {
  font-size: 18px !important;
  padding: 0 !important;
  border-width: 0 !important;
  margin: 0 !important;
  position: absolute !important;
  color: #000000;
  background-color: rgb(255, 255, 255);
  z-index: 10;
}

#toggleRightColumnButton {
  box-shadow: -1px 0px 3px -3px var(--box-shadow-color);
}

#toggleLeftColumnButton {
  padding-right: 10px !important;
  box-shadow: 2px 0px 3px -2px var(--box-shadow-color);
}

.dot {
  height: 50px;
  width: 50px;
  background-color: #faf8ff;
  border-radius: 50%;
}

.half-circle {
  width: 200px;
  height: 100px;
  border-top-left-radius: 110px;
  border-top-right-radius: 110px;
  border-bottom: 0;
}

.btn {
  border-width: 0;
}

.right-half-circle {
  width: 17px;
  height: 20px;
  border-left: 0;
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
  background-color: #ffffff;
}

.left-half-circle {
  width: 10px;
  height: 20px;
  border-right: 0;
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
  background-color: #ffffff;
}

.images {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 1;
  z-index: 0;
}

.images[name="1"] {
  clip-path: inset(0% 50% 0% 0%);
}

.chosen {
  width: 18px;
  height: 18px;
  border-radius: 30px;
  background-color: #f2ecff;
  color: #005a34;
  font-size: 17px;
  position: absolute;
  z-index: 3;
  top: 17%;
  right: 20%;
}

#lineBottom,
#lineTop {
  width: 3px;
  z-index: 0;
}

#lineBottom {
  background: linear-gradient(
    to left top,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 1)
  );
  border-bottom-left-radius: 100%;
  border-bottom-right-radius: 100%;
}

#lineTop {
  background: linear-gradient(
    to right top,
    rgba(255, 255, 255, 1),
    rgba(255, 255, 255, 0.1)
  );
  top: 0;
  border-top-left-radius: 100%;
  border-top-right-radius: 100%;
}

#middleCircle {
  border: 2px solid #faf8ff;
  border-radius: 100%;
  background-color: #ffffff;
}

#middleCircle:hover {
  cursor: e-resize;
}

button.FAVORITE {
  background-color: rgba(0, 0, 0, 0);
  border: none;
  outline: none;
}

button#SETTINGS,
button#FILTER {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  padding: 10px;
  width: 100%;
}

button#SHOP,
button.ZOOM,
button.FAVORITE {
  width: 100%;
}

#exit-from-full-screen > button:active {
  opacity: 0.9;
  box-shadow: 0px 0px 15px 2px var(--box-shadow-color);
}

button.ZOOM:active,
button#SHOP:active {
  opacity: 0.9;
  box-shadow: 0px 0px 15px 2px var(--box-shadow-color);
}

button.FAVORITE:active {
  background-color: rgb(255, 255, 255) !important;
  box-shadow: 0px 0px 15px 2px var(--box-shadow-color);
  opacity: 0.9;
}

button.ZOOM,
button#SHOP {
  background-color: rgba(0, 0, 0, 0);
  border: none;
  outline: none;
}

p {
  margin: 0;
}

.btn:hover p {
  color: rgb(66, 113, 173) !important;
}

#logoImage {
  height: 50%;
  width: 50%;
}

#FILTERS {
  position: absolute;
  right: 0;
}

.add-express-buttons {
  display: none;
}

.photo-desing {
  width: 80px;
  height: 80px;
  border-radius: 10px;
}

.add-express-buttons {
  width: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.down-side-button-fav {
  position: absolute;
  bottom: 5%;
  left: 40%;
  transform: translateX(-40%);
  background-color: white;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0px 0px 7px 1px var(--box-shadow-color);
}

.down-side-button-shop {
  position: absolute;
  bottom: 5%;
  left: 60%;
  transform: translateX(-60%);
  background-color: rgb(66, 113, 173);
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0px 0px 7px 1px var(--box-shadow-color);
}

.add-express-buttons {
  display: block;
}

body {
  background-color: rgb(231, 231, 231) !important;
}

.footer-content {
  display: block;
  margin: 20px;
  border-radius: 10px;
  box-shadow: var(--box-shadow-color);
  background-color: rgb(255, 255, 255);
  z-index: 22;
}

.fabric-detail {
  display: flex;
  justify-content: column;
}

.fabric-details {
  display: inline-block;
  width: 100%;
}
/*  */
/* revin */
.info-fabric {
  display: block;
  margin: 10px;
  width: 250px;
}

.center-button-xmark-column {
  margin-top: 10px;
  margin-bottom: 60px;
}

div.center-button-xmark-column button {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  border: none;
  outline: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
}

.fav-shop-btn {
  display: none;
}

#leftButtons {
  display: grid;
  grid-template-columns: 100px 100px;
  column-gap: 3px;
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: none;
  /* padding: 10px; */
}

.align-arrows-middle-circle {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Here */
.fav-container {
  display: block;
  margin-top: 25%;
}

/* desktop */
.fav-content-grid {
  display: grid;
  grid-template-columns: repeat(2, auto);
  column-gap: 5px;
  row-gap: 5px;
  padding-left: 10%;
  padding-right: 10%;
  padding-bottom: 5%;
}

.scroll-btn-up-fav {
  text-align: center;
  font-weight: bold;
  padding-top: 1%;
  padding-bottom: 1%;
}

.scroll-btn-down-fav {
  text-align: center;
  font-weight: bold;
  padding-top: 1%;
  padding-bottom: 1%;
}

.fav-title p {
  text-align: center;
  font-weight: bold;
  padding: 10px;
}

.fav-title {
  z-index: 25;
}

.grid-fav-img {
  width: 80px;
  height: 128px;
  border-radius: 10px;
}

.show-fav-table {
  display: none;
}

.fav-container-mob {
  display: none !important;
}

.btn.formalwearWrapper {
  height: 50%;
}

#leftButtons > button > span > img {
  box-shadow: var(--box-shadow-for-img);
}

#rightOptions > div > button > img {
  box-shadow: var(--box-shadow-for-img);
}

.fav-content-grid-items > img {
  box-shadow: var(--box-shadow-for-img);
}

#leftButtons > button:hover img {
  border: 1px solid var(--hover-border-color);
}

#rightOptions > div > button:hover img {
  border: 1px solid var(--hover-border-color);
}

.fav-content-grid > div > img:hover {
  border: 1px solid var(--hover-border-color);
}

#middleCircle:hover {
  border: 2px solid var(--hover-middle-circle);
}

i.fa-solid.fa-chevron-up.fa-sm:hover,
i.fa-solid.fa-chevron-down.fa-sm:hover {
  font-size: 14px;
}

i.fa-sharp.fa-solid.fa-angle-right.fa-xl:hover,
i.fa-sharp.fa-solid.fa-angle-left.fa-xl:hover {
  font-size: 16px;
}

div#formalwearWrapper button img {
  height: 50px;
  object-fit: cover;
  object-position: 0px 10px;
}

.it-populated {
  display: none;
}

.it-not-populated {
  display: none;
  padding: 2%;
  text-align: center;
}

div.it-not-populated > p::after {
  content: "no product added to favorites";
  color: #a1a1a1;
  word-wrap: break-word;
}

.fav-shop-mob {
  display: none;
}

.fav-shop-mob .FAVORITE {
  background-color: white;
}

.fav-shop-mob .FAVORITE,
.fav-shop-mob .ZOOM,
.fav-shop-mob #SHOP {
  padding: 10px;
}

div#leftButtons > button > span > img {
  width: 55px;
  height: 55px;
}

.ZoomContainer {
  border: none !important;
  z-index: 0 !important;
}

.zoomWindow {
  right: 5px !important;
  transform: translateX(5px) !important;
}

.ZoomContainer {
  top: 1% !important;
  left: 7px !important;
  transform: translateX(7px) !important;
}

.zoomWindow,
.ZoomContainer,
.zoomWindowContainer {
  width: 98% !important;
  height: 98% !important;
}

.info-fabric > .fav-title,
.style-columns > .fav-title {
  /* Titlu optiuni */
  border-bottom: 1px solid var(--color-title-box);
  margin-left: 5px;
  margin-right: 5px;
}

/* Ecrane mai mici decat desktopul (maybe macbook, ceva diferit fata de large screen) */
div.it-not-populated {
  height: 448px;
}

.empty-favorites-desktop {
  height: 405px;
  /* Containerul chiar daca este populat cu 1/2/3 items va ramane cu un height ca si cum 
      ar fi fost plin.
  */
}

div.it-not-populated > p {
  margin-top: 100%;
}

#fabricWrapper,
#liningWrapper,
/* #pocketsWrapper, */
#buttonsWrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 0;
  column-gap: 0;
  height: 382px;
}

#fabricWrapper > button,
#liningWrapper > button,
#buttonsWrapper > button {
  padding: 2px;
  margin: 1px;
}

#pocketsWrapper,
#formalwearWrapper,
#modelWrapper {
  display: grid;
  grid-template-columns: repeat(3, 100px);
  row-gap: 0;
  column-gap: 0;
  height: 200px;
}

#modelWrapper > button > img,
#pocketsWrapper > button > img {
  width: 80px;
  height: 90px;
}

#liningWrapper > button > img,
#buttonsWrapper > button > img,
#fabricWrapper > button > img {
  width: 90px;
  height: 90px;
}

div#fabricWrapper button > div.chosen,
div#buttonsWrapper button > div.chosen,
div#liningWrapper button > div.chosen {
  top: 5%;
  right: 5%;
}

div#formalwearWrapper button > div.chosen,
div#modelWrapper button > div.chosen,
div#pocketsWrapper button > div.chosen {
  top: 9%;
  right: 11%;
}

div#formalwearWrapper > button > img {
  height: 90px;
  width: 80px;
}

#leftColumn {
  margin-left: 1%;
  margin-top: 5px;
}

#rightColumn {
  margin-right: 1%;
  margin-top: 5px;
}

/* Daca lucruriile sunt afisate doar pentru desktop vor aparea in acest media queries */
@media only screen and (min-width: 1024px) and (min-width: 1281px) {
  /* .images {
    border-radius: 20px;
    box-shadow: 0px 0px 1px 1px var(--box-shadow-color);
  } */
  /* #root {
    background-color: rgb(255, 255, 255) !important;
  }

  body {
    background-color: rgb(231, 231, 231) !important;
  } 
  
   Background all grey; se poate face si partial; adica doar imaginea.
  */

  .zoomWindow,
  .ZoomContainer,
  .zoomWindowContainer {
    width: 99% !important;
    height: 99% !important;
  }

  div.fabric-details div.info-fabric > p {
    font-size: 1rem;
  }

  div#formalwearWrapper button > div.chosen,
  div#modelWrapper button > div.chosen,
  div#pocketsWrapper button > div.chosen {
    top: 13%;
    right: 10%;
  }

  div#fabricWrapper button > div.chosen,
  div#buttonsWrapper button > div.chosen,
  div#liningWrapper button > div.chosen {
    top: 7%;
    right: 7%;
  }

  .pop-full-mode {
    z-index: 102 !important;
    width: 25%;
  }

  .chosen {
    top: 8%;
    right: 8%;
  }

  .fav-container-mob {
    display: none;
  }

  .it-not-populated {
    display: none;
  }

  .footer-content {
    display: none;
  }

  .scroll-btn-up-fav {
    text-align: center;
    font-weight: bold;
    padding-top: 1%;
    padding-bottom: 1%;
  }

  .scroll-btn-down-fav {
    text-align: center;
    font-weight: bold;
    padding-top: 1%;
    padding-bottom: 1%;
  }

  .fav-content-grid {
    display: grid;
    grid-template-columns: repeat(2, auto);
    /* row-gap: 10px; */
    padding-left: 10%;
    padding-right: 10%;
    padding-bottom: 5%;
  }

  .fav-content-grid-items {
    padding: 0;
    margin: 0;
    width: 80px;
  }

  .fav-container {
    display: block;
    margin-top: 0%;
  }

  /* revin */
  button#FILTER,
  button#SETTINGS {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 10px;
  }

  .centering {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #leftColumn {
    margin-left: 10%;
    margin-top: 5px;
  }

  #rightColumn {
    margin-right: 10%;
    margin-top: 5px;
  }

  #logoImage {
    height: 30%;
    width: 30%;
  }

  #fabricWrapper,
  #liningWrapper,
  #buttonsWrapper {
    display: grid;
    grid-template-columns: repeat(3, 97px);
    grid-template-rows: 97px;
    row-gap: 0;
    column-gap: 0;
    height: 382px;
  }

  #pocketsWrapper,
  #formalwearWrapper,
  #modelWrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 0;
    column-gap: 0;
    height: 200px;
  }

  /* #liningWrapper > button > img,
  #buttonsWrapper > button > img,
  #fabricWrapper > button > img {
    width: 90px;
    height: 90px;
  }

  div#formalwearWrapper > button > img,
  div#pocketsWrapper > button > img,
  div#modelWrapper > button > img {
    height: 80px;
    width: 70px;
  } */

  #leftButtons > button {
    padding-top: 7px;
    padding-left: 0;
    padding-right: 0;
  }

  #toggleRightColumnButton,
  #toggleLeftColumnButton {
    display: none;
  }

  .center-button-xmark-column {
    display: none;
  }

  .btn {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 2px;
  }
}

/* Daca este ceva pentru mobil / tableta va fi folosit in acest media queries */
@media only screen and (max-width: 1023px) {
  html {
    overflow: hidden;
    width: 100%;
  }

  body {
    height: 100%;
    position: fixed;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
  }

  .info-fabric {
    width: 100%;
  }

  .fav-title {
    margin-bottom: 10px;
  }

  .pop-full-mode {
    display: none !important;
  }

  #liningWrapper > button > img,
  #buttonsWrapper > button > img,
  #fabricWrapper > button > img {
    width: 56px;
    height: 56px;
  }

  #liningWrapper > button,
  #buttonsWrapper > button,
  #fabricWrapper > button {
    margin: 0;
  }

  div#fabricWrapper button > div.chosen,
  div#buttonsWrapper button > div.chosen,
  div#liningWrapper button > div.chosen {
    top: 10%;
    right: 17%;
    font-size: 12px;
    text-align: center;
    width: 14px;
    height: 14px;
  }

  div#formalwearWrapper > button > img,
  #modelWrapper > button > img,
  #pocketsWrapper > button > img {
    width: 56px;
    height: 80px;
  }

  div#modelWrapper button > div.chosen,
  div#pocketsWrapper button > div.chosen {
    top: 10%;
    right: 17%;
    font-size: 12px;
    text-align: center;
    width: 14px;
    height: 14px;
  }

  div#formalwearWrapper button > div.chosen {
    top: 19%;
    right: 20%;
    /* La satin img sunt de alta dimenstiune si trebuie setata 'pozitia' div-ului .chosen separat  
      Aici este pentru varianta mobil / tableta
    */
  }

  #fabricWrapper,
  #liningWrapper,
  #buttonsWrapper {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 0;
    column-gap: 0;
    height: 380px;
  }

  #pocketsWrapper,
  #formalwearWrapper,
  #modelWrapper {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 0;
    column-gap: 0;
    height: 420px;
  }

  #centerColumn {
    height: 100vh;
  }

  .fav-container {
    display: none;
  }

  .fav-content {
    display: none;
  }

  div.grid-fav-img > img {
    height: 100px;
    width: 60px;
  }

  div.it-not-populated {
    height: 80px;
  }

  div.it-not-populated > p {
    margin: 0;
  }

  .it-not-populated {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40%;
  }

  .it-not-populated p {
    width: 100%;
    height: 100%;
    text-align: center;
    padding: 5%;
  }

  .fabric-details {
    display: none;
  }

  .button-tool button.FAVORITE,
  .button-tool button.ZOOM,
  .button-tool button#SHOP {
    display: none;
    padding: 0;
  }

  .button-tool #SHOP,
  .button-tool .ZOOM,
  .button-tool .FAVORITE {
    width: 100%;
  }

  .tool-cont {
    margin-top: 10px;
  }

  .fav-shop-btn {
    display: flex;
    justify-content: space-around;
    position: absolute;
    left: 50%;
    bottom: 3rem;
    transform: translateX(-50%);
    text-align: center;
    width: 100px;
    gap: 20px;
    z-index: 25;
  }

  #leftButtons {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: none;
    z-index: 54;
    margin-left: 5%;
    margin-right: 5%;
    /* height: 388px; */
  }

  div button.FAVORITE,
  div button.ZOOM,
  div button#SHOP {
    width: 50px;
  }

  #logoImage {
    height: 50%;
    width: 50%;
  }

  .photo-desing {
    width: 100%;
    height: 100%;
    border-radius: 10px;
  }

  .fav-container-mob {
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: relative;
    bottom: -71%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    margin-bottom: 30px;
    padding-bottom: 10px;
  }

  .fav-shop-mob {
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 73%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    z-index: 36;
    margin-top: 10%;
  }

  .fabric-details-container {
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: relative;
    bottom: -72%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    z-index: 37;
    margin-bottom: 30px;
    margin-top: 20%;
  }

  .fav-content-grid {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    padding: 3%;
    position: relative;
    left: 5%;
  }

  .container-fav {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-height: 200px;
    height: 100%;
    position: relative;
    padding-bottom: 10px;
  }

  .leftUpFavButton {
    width: 3%;
    background-color: rgb(255, 255, 255);
    height: 80%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    z-index: 301;
  }

  .rightDownFavButton {
    width: 3%;
    background-color: rgb(255, 255, 255);
    height: 80%;
    display: flex;
    align-items: center;
  }

  .left-btn {
    position: absolute;
    left: 3%;
    top: 50%;
    transform: translateY(-50%);
  }

  #rightOptions {
    /* height: 315px; */
    /* display: grid; */
    grid-template-columns: 1fr;
    row-gap: 0;
    column-gap: 0;
    z-index: 22;
  }

  
  #rightOptions > div > button {
    margin-left: 0;
    margin-right: 0;
    padding-left: 0;
    padding-right: 0;
  }

  .right-btn {
    position: absolute;
    right: 3%;
    top: 50%;
    transform: translateY(-50%);
  }

  /* 327px */
  #modelWrapper,
  #pocketsWrapper,
  #formalwearWrapper {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 0;
    column-gap: 0;
    height: 391px;
  }
  /* este fixa nu */
  #modelWrapper {
    height: 361px;
  }

  #formalwearWrapper {
    height: 180px;
    /* Sunt doar doua exemple la Satin; nu are rost sa ii adaug un height */
  }

  /* posibil bug */
  .show-or-hide-fabric {
    display: none;
  }

  .setting-button-desk {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #rightColumn,
  #leftColumn {
    z-index: 70;
  }

  #leftColumn {
    margin-left: 2%;
    margin-top: 5px;
  }

  #rightColumn {
    margin-right: 2%;
    margin-top: 5px;
  }

  .favoriteImageLoader {
    width: 25px !important;
    height: 25px !important;
    position: absolute !important;
    top: 25% !important;
    /* left: 50% !important; */
    /* transform: translateX(-25%) !important; */
    transform: translateY(-25%) !important;
  }
}

@media only screen and (min-width: 320px) and (max-width: 481px) {
  .grid-fav-img {
    width: 43px;
    height: 60px;
    border-radius: 10px;
  }
  .favoriteImageLoader {
    width: 15px !important;
    height: 15px !important;
    position: absolute !important;
    top: 50% !important;
    left: 40% !important;
    transform: translateX(-40%) !important;
    transform: translateY(-50%) !important;
  }
}

/* Phones in landscape */
/* @media only screen and (min-width: 320px) and (max-width: 481px) {
  div button.FAVORITE,
  div button.ZOOM,
  div button#SHOP {
    width: 60px;
  }

  #rightOptions > div > button {
    margin-left: 0;
    margin-right: 0;
    padding-left: 0;
    padding-right: 0;
  }
  #pocketsWrapper,
  #formalwearWrapper,
  #modelWrapper {
    display: grid;
    grid-template-columns: repeat(1, 100px);
    row-gap: 0;
    column-gap: 0;
    height: 327px;
  }
  #fabricWrapper,
  #liningWrapper,
  #formalwearWrapper,
  #buttonsWrapper {
    height: 345px;
  }
  div.fav-content-grid-items > img {
    height: 60px;
    width: 40px;
  }
  img.grid-fav-img {
    height: 60px;
    width: 40px;
    border-radius: 10px;
  }
} */
/* div.fav-content-grid-items > img {
  height: 100%;
  width: 100%;
} */
#filtersOverlay {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2000;
}

#filtersWindow {
  overflow: hidden;
  position: absolute;
  background-color: white;
  left: 50%;
  transform: translate(-50%);
  border-radius: 1%;
  margin-top: 2%;
}

#exitFiltersWindow {
  position: absolute;
  right: 10px;
  top: 10px;
}

.divider {
  height: 10%;
}
#applyFilters {
  left: 50%;
}
#resetFilters {
  left: 2%;
}
#filtersWindow > *:not(#applyFilters, .divider, #resetFilters) {
  margin: 10px;
}

#filtersWindowTitle {
  position: fixed;
  top: 0;
  background-color: white;
  z-index: 2001;
  left: 50%;
  transform: translate(-50%, 0%);
  border-top-left-radius: 1%;
  border-top-right-radius: 1%;
}

.filterOptionsSelect {
  position: relative;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  float: left;
  width: 90%;
  padding-right: 5%;
  outline: none;
  font-size: 15px;
  border-width: 0px;
  color: black;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-top: 5px;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" style="background-color:lighslategray"><polygon points="40,40 65,65 90,40" style="fill:slategray;stroke:slategray;stroke-width:1"/></svg>');
  background-repeat: no-repeat;
  background-position-x: 100%;
}

.chosenFilter {
  position: relative;
  background-color: #e0e0e0;
  border-radius: 20px;
  width: fit-content;
  padding: 5px;
  font-size: 15px;
  min-width: 45px;
  min-height: 28.5px;
  padding-right: 20px;
  margin-bottom: 5px;
  margin-right: 5px;
}

.chosenFilterClose {
  position: absolute;
  right: 3px;
  top: 50%;
  transform: translate(0%, -50%);

  color: #a3a3a3;
  background-color: #676767;
  border-radius: 20px;
}

.dropdownButton {
  width: 95%;
  padding-right: 5%;
  outline: none;
  font-size: 15px;
  border-width: 0px;
  color: black;
  padding-bottom: 5px;
  padding-left: 5px;
  padding-top: 5px;
  background-color: #e9e9ed;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" style="background-color:lighslategray"><polygon points="40,40 65,65 90,40" style="fill:slategray;stroke:slategray;stroke-width:1"/></svg>');
  background-repeat: no-repeat;
  background-position-x: 100%;
  border-width: 1px;
  border-color: darkgrey;
  border-style: solid;
  border-radius: 6px;
}

/* Dropdown styles */
.dropdown {
  position: relative;
  padding: 0;
  margin-right: 1em;
}

.dropdown summary {
  list-style: none;
  list-style-type: none;
}

.dropdown > summary::-webkit-details-marker {
  display: none;
}

.dropdown summary:focus {
  outline: none;
}

.dropdown summary:focus button {
  border: 2px solid white;
}

.dropdown ul li button {
  border: none;
  width: 100%;
  height: 100%;
  text-align: left;
}

.dropdown summary:focus {
  outline: none;
}

.dropdown ul {
  position: absolute;
  padding: 0px;
  width: 95%;
  box-sizing: border-box;
  z-index: 2;

  background: var(--dropdown-background);
  border-radius: 6px;
  list-style: none;
  border: 1px solid darkgrey;
}

.dropdown ul li {
  padding: 0;
  margin: 0;
  background-color: #e9e9ed;
}

.dropdown ul li button {
  font-size: 15px;
  padding-left: 5px;
}

.dropdown ul li:hover {
  background-color: #e9e9ed;
  color: black;
}

/* Close the dropdown with outside clicks */
.dropdown > summary::before {
  display: none;
}

.dropdown[open] > summary::before {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 1;
}

.chosenFilters {
  display: flex;
  flex-wrap: wrap;
}

.selectedFilterButton {
  min-height: 30px;
  position: relative;
}
.selectedFilterButton::after {
  content: " ";
  border-color: lightgray;
  border-width: 0.5px;
  border-style: solid;
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
}
#fabricsFound {
  position: absolute;
  top: 5px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 20px;
}
.filterButtons {
  display: inline;
  float: center;
  outline: none;
  font-size: 15px;
  border-width: 0px;
  color: black;

  background-color: #e9e9ed;

  border-width: 1px;
  border-color: darkgrey;
  border-style: solid;
  border-radius: 6px;
}
#filterButtons {
  position: absolute;

  background-color: white;
  bottom: 0px;
  min-height: 34.5px;
}
#filters {
  overflow-y: auto;
  scrollbar-width: thin;
  height: 84%;
}

#fabricResults {
  visibility: hidden;
}
#searchFabricButton {
  float: right;
  margin-right: 10%;
}

